summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-08-07 08:08:27 +0200
committerHans de Graaff <graaff@gentoo.org>2016-08-07 08:08:27 +0200
commitff3b87cbfd30821ce1fe6198c90ce17a1073c745 (patch)
tree655b5cdd1b0bae2e83aebc018b5e3123dce53333 /dev-ruby/rubypants
parentxfce-base/exo: Bump to 0.11.0, with new experimental GTK+3 variant (diff)
downloadgentoo-ff3b87cbfd30821ce1fe6198c90ce17a1073c745.tar.gz
gentoo-ff3b87cbfd30821ce1fe6198c90ce17a1073c745.tar.bz2
gentoo-ff3b87cbfd30821ce1fe6198c90ce17a1073c745.zip
dev-ruby/rubypants: add 0.5.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/rubypants')
-rw-r--r--dev-ruby/rubypants/Manifest1
-rw-r--r--dev-ruby/rubypants/rubypants-0.5.0.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-ruby/rubypants/Manifest b/dev-ruby/rubypants/Manifest
index 604c9fd6757..47baf0e4877 100644
--- a/dev-ruby/rubypants/Manifest
+++ b/dev-ruby/rubypants/Manifest
@@ -1 +1,2 @@
DIST rubypants-0.2.0.gem 11264 SHA256 f07e38eac793655a0323fe91946081052341b9e69807026fcf102346589eedee SHA512 f7efe237860e15b2ce164749973d5ef133dce1a6bc5e9429357703b321fb0af8ef4e849f8ed19ed498b6fff13e29da036bb8d379c1220d939c862aba0138a5d6 WHIRLPOOL 24d5d09a9959a594353b6e7ab54968483d63c843a52af562d3454e1f930cf5811d080dbc70ea7f1ac30ba2952144b7a1932920bb8bdf4c4e67cddefd3cc9ddab
+DIST rubypants-0.5.0.gem 12288 SHA256 c673115c3cb083777ddfeea415a360cba5682887a33c50c9ad1015b81cea6e51 SHA512 4815439c085da5b219bb8a9542433a1d22d8678ac7b783aaab826fdf9ea57246d246e1d00a57524cba213d37a975a670612d3b7397f7a72b5d0c7a0c62bac441 WHIRLPOOL da86eb49bf0ac4f7553683170c4eb194a448e71bdd7f4f39a07e19a9a4b28b926048be1b93520f5011ea3aea1bd9bdf65fbc5c629346a6aeb27a16187b09a7b2
diff --git a/dev-ruby/rubypants/rubypants-0.5.0.ebuild b/dev-ruby/rubypants/rubypants-0.5.0.ebuild
new file mode 100644
index 00000000000..a95975b6612
--- /dev/null
+++ b/dev-ruby/rubypants/rubypants-0.5.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby port of the SmartyPants PHP library"
+HOMEPAGE="http://chneukirchen.org/repos/rubypants/README"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+each_ruby_test() {
+ ${RUBY} -I. test/rubypants_test.rb || die "tests failed"
+}